diff -Naur bwm-ng.orig/bwm-ng-0.6/debian/changelog bwm-ng/bwm-ng-0.6/debian/changelog 
--- bwm-ng.orig/bwm-ng-0.6/debian/changelog	2014-08-05 16:20:20.681567541 -0500
+++ bwm-ng/bwm-ng-0.6/debian/changelog	2014-08-05 16:28:01.409575564 -0500
@@ -1,3 +1,12 @@
+bwm-ng (0.6-3.2) unstable; urgency=low
+
+  * Fix FTBFS with clang
+    - Fixed undefined reference error in
+      src/input/retrieve.c
+      src/options.c
+
+ -- Arthur Marble <arthur@info9.net>  Tue, 05 Aug 2014 16:28:01 -0500
+
 bwm-ng (0.6-3.1) unstable; urgency=low
 
   * Non-maintainer upload; ACKed by the maintainer.
diff -Naur bwm-ng.orig/bwm-ng-0.6/debian/patches/clang-ftbfs.diff bwm-ng/bwm-ng-0.6/debian/patches/clang-ftbfs.diff 
--- bwm-ng.orig/bwm-ng-0.6/debian/patches/clang-ftbfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ bwm-ng/bwm-ng-0.6/debian/patches/clang-ftbfs.diff	2014-08-05 16:27:43.221575247 -0500
@@ -0,0 +1,22 @@
+--- a/src/input/retrieve.c
++++ b/src/input/retrieve.c
+@@ -47,7 +47,7 @@ char check_if_up(char *ifname) {
+ #endif
+ 
+ /* chooses the correct get_iface_stats() to use */
+-inline void get_iface_stats(char _n) {
++void get_iface_stats(char _n) {
+    switch (input_method) {
+ #ifdef NETSTAT
+        case NETSTAT_IN:
+--- a/src/options.c
++++ b/src/options.c
+@@ -98,7 +98,7 @@ inline int str2out_method(char *optarg)
+ }
+ 
+ 
+-inline int str2in_method(char *optarg) {
++static inline int str2in_method(char *optarg) {
+     if (optarg) {
+ #ifdef PROC_NET_DEV
+         if (!strcasecmp(optarg,"proc")) return PROC_IN;
diff -Naur bwm-ng.orig/bwm-ng-0.6/debian/patches/series bwm-ng/bwm-ng-0.6/debian/patches/series 
--- bwm-ng.orig/bwm-ng-0.6/debian/patches/series	1969-12-31 18:00:00.000000000 -0600
+++ bwm-ng/bwm-ng-0.6/debian/patches/series	2014-08-05 16:20:43.745567942 -0500
@@ -0,0 +1 @@
+clang-ftbfs.diff
